/*
$ curl -I http://www.google.com
HTTP/1.1 302 Found
Location: http://www.google.de/
Cache-Control: private
Content-Type: text/html; charset=UTF-8
Set-Cookie: PREF=ID=da671ea4b49b7906:FF=0:TM=1306859668:LM=1306859668:S=iN46CfOjd5n9-6p7; expires=Thu, 30-May-2013 16:34:28 GMT; path=/; domain=.google.com
Date: Tue, 31 May 2011 16:34:28 GMT
Server: gws
Content-Length: 218
X-XSS-Protection: 1; mode=block


The following code logs:

[INFO] Cookie from google: MPRF=H4sIAAAAAAAAAKvYtWDG9ha1LiaGSUwKqSnJZmnJpimpJhYpKeapSYkmlkAqzSA1NckoxTgxaQIzAwB36dkWMAAAAA; expires=Sun, 17-Jan-2038 19:14:07 GMT; path=/; domain=.google.de
*/

var google = Ti.Network.createHTTPClient({
	onload: function() {
		var cookie = this.getResponseHeader("Set-Cookie");
		Ti.API.info("Cookie from google: " + cookie);
	}
});

google.open("GET", "http://www.google.com");
google.send();

/*
As you can see, a Set-Cookie parameter is set in the response:

$ curl -I http://headersbug.systemfreund.com/tests
HTTP/1.1 200 OK
Date: Tue, 31 May 2011 16:31:58 GMT
Server: Apache/2.2.9 (Debian) DAV/2 SVN/1.5.1 Phusion_Passenger/3.0.7 PHP/5.2.6-1+lenny10 with Suhosin-Patch mod_ssl/2.2.9 OpenSSL/0.9.8g
X-Powered-By: Phusion Passenger (mod_rails/mod_rack) 3.0.7
ETag: "cedf710fd32ba1d0de81e80b49c16abe"
X-UA-Compatible: IE=Edge
X-Runtime: 0.050403
Cache-Control: max-age=0, private, must-revalidate
Set-Cookie: _public_html_session=BAh7ByIQX2NzcmZfdG9rZW4iMU1UTXlnTTJuSGFLa3hFd29HRnlqK21jbzJhWUdUR1k1cHBFdXpselZBeVE9Ig9zZXNzaW9uX2lkIiVhYTU2MjQ1NTI5NjZlYzdjZGVlOWJlMTc1MGYwNmJmZQ%3D%3D--1cf4c5d1934e0559ad88ca59e69dcc0e9f957341; path=/; HttpOnly
Status: 200
Vary: Accept-Encoding
Content-Type: text/html; charset=utf-8

But the following code logs:

[INFO] Cookie from my server: null
*/

var myserver = Ti.Network.createHTTPClient({
	onload: function() {
		var cookie = this.getResponseHeader("Set-Cookie");
		Ti.API.info("Cookie from my server: " + cookie);
	}
});

myserver.open("GET", "http://headersbug.systemfreund.com/tests");
myserver.send();
